Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-26481

Android: Target API Level 28 (Android P) by default

    Details

      Description

      Summary:
      When building for Android, Titanium should target API Level 28 (aka: Android 9.0) by default if installed under the Android SDK.
      Titanium currently targets up to API Level 27 (aka: Android 8.1).

      Note:
      Titanium currently does not target API Level 28 by default. This is a safety precaution until Titanium addresses all Android P breaking changes. But a developer can opt-in to targeting the newest API Level (at their own risk) by adding the following to their "tiapp.xml" file.

      <ti:app>
      	<android xmlns:android="http://schemas.android.com/apk/res/android">
      		<manifest>
      			<uses-sdk android:minSdkVersion="16" android:targetSdkVersion="28"/>
      		</manifest>
      	</android>
      </ti:app>
      

        Attachments

          Activity

            People

            • Assignee:
              jquick Joshua Quick
              Reporter:
              jquick Joshua Quick
              Reviewer:
              Gary Mathews
              Tester:
              Keerthi Mahalingam
            • Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Backbone Issue Sync is enabled for your project, but we do not have any synchronization info for this issue.

                  Git Source Code